Subject: Re: bug#17544: 24.3; [PATCH] Improved diff-mode navigation/manipulation

From: [email-masked]
Date: Wed, 16 Nov 2016 23:33:23 -0500

Dima Kogan <[email-masked]> writes:

> New patch attached.
[...]
> +
> +      ;; I advance to the next hunk with skip-hunk-start set to t
> +      ;; because I want the behavior of moving to the next logical
> +      ;; hunk, not the legacy behavior where were would sometimes stay
> +      ;; on the curent hunk.  This is the behavior we get when
> +      ;; navigating through hunks interactively, and we want it when
> +      ;; applying hunks too.  See http://debbugs.gnu.org/17544
>        (when diff-advance-after-apply-hunk
> -	(diff-hunk-next))))))
> +        (diff-hunk-next nil t))))))

Can you mention somewhere about avoiding an infinite loop that you were
talking about before? (that's what I meant when I said to update this
comment, but if it actually makes more sense to mention that somewhere
else, please do so)
Is it really a "legacy" behavior (considering that we *need* the "legacy"
behavior in order to function correctly)?

Also, I believe usual comment style is to use "we" not "I", and you
didn't end the last sentence with a period.